db.Rcrossprod-class {PivotalR} | R Documentation

## Class `"db.Rcrossprod"`

### Description

This is the result generated by `crossprod`, and a sub-class of `db.Rquery`

### Slots

As a sub-class of `db.Rquery`, this class contains all the slots that belong to `db.Rquery`. It also has one additional slot as is described in the following.

`.is.crossprod`:

  A vector of logical values, which has the same length as the number of columns. Whether each column is the result of `crossprod`.

`.is.symmetric`:

  A vector of logical values, which has the same length as the number of columns. Whether the column contains matrices that are symmetric.

`.dim`:

  Dimension of the matrix represented by this object.

### Extends

Class `"db.Rquery"`, directly.

### Methods

All methods for `db.data.frame` can be applied onto this class.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`db.Rquery` is the superclass.

`lk` or `lookat` display the matrix

### Examples

    ## Not run:
    showClass("db.Rcrossprod")

    ## set up the database connection
    ## Assume that .port is port number and .dbname is the database name
    cid <- db.connect(port = .port, dbname = .dbname, verbose = FALSE)

    ## x points to table "abalone"
    x <- as.db.data.frame(abalone, conn.id = cid, verbose = FALSE)

    lookat(crossprod(x[,-c(1,2)]))

    x$arr <- db.array(1, x$length, x$diameter)

    lookat(crossprod(x$arr))

    db.disconnect(cid, verbose = FALSE)

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]